module Galactica_StarLight

using ..Ahorn, Maple

@mapdef Entity "Galactica/StarLight" StarLight(x::Integer, y::Integer, width::Integer=Maple.defaultBlockWidth, height::Integer=Maple.defaultBlockHeight)

const placements = Ahorn.PlacementDict(
    "StarLight (Galactica)" => Ahorn.EntityPlacement(
        StarLight,
        "rectangle"
    )
)

function Ahorn.selection(entity::StarLight)
    x, y = Ahorn.position(entity)
    return Ahorn.getSpriteRectangle(sprite, x, y )
end

sprite = "StarLight/StarLight00"
Ahorn.render(ctx::Ahorn.Cairo.CairoContext, entity::StarLight, room::Maple.Room) = Ahorn.drawSprite(ctx,sprite ,0,0)

end