local utils = require("utils")

local blackhole = {}

blackhole.name = "Galactica/BlackHole"

blackhole.placements = {
    name = "default",
    data = {
        SpeedModifier = 1.02,
        ForceModifier = 0.8
    }
}

blackhole.texture = "BlackHole/Blackhole00"

function blackhole.selection(room, entity)
    return utils.rectangle(entity.x - 15, entity.y - 15, 30, 30)
end

return blackhole