module Galactica_star_item

using ..Ahorn, Maple


@mapdef Entity "Galactica/StarManager"  StarItem(x::Integer, y::Integer, width::Integer=Maple.defaultBlockWidth, height::Integer=Maple.defaultBlockHeight,ThrustModifier::Real=400)

const placements = Ahorn.PlacementDict(
    "StarItem (Galactica)" => Ahorn.EntityPlacement(
        StarItem,
        "rectangle"
    )
)

function Ahorn.selection(entity::StarItem)
    x, y = Ahorn.position(entity)
    
    return Ahorn.getSpriteRectangle(sprite, x, y -10)
end

sprite = "StarItem/StarItem00"
Ahorn.render(ctx::Ahorn.Cairo.CairoContext, entity::StarItem, room::Maple.Room) = Ahorn.drawSprite(ctx,sprite ,0,-12)

end