module Galactica_StarLight

using ..Ahorn, Maple

@mapdef Entity "Galactica/Toaster" Toaster(x::Integer, y::Integer, width::Integer=Maple.defaultBlockWidth, height::Integer=Maple.defaultBlockHeight)

const placements = Ahorn.PlacementDict(
    "Toaster (Galactica)" => Ahorn.EntityPlacement(
        Toaster,
        "rectangle"
    )
)

function Ahorn.selection(entity::Toaster)
    x, y = Ahorn.position(entity)
    return Ahorn.getSpriteRectangle(sprite, x, y )
end

sprite = "Toaster/CylonToaster00"
Ahorn.render(ctx::Ahorn.Cairo.CairoContext, entity::Toaster, room::Maple.Room) = Ahorn.drawSprite(ctx,sprite ,0,-4)

end