local drawableSprite = require("structs.drawable_sprite")

local starItem = {}

starItem.name = "Galactica/StarManager"

starItem.placements = {
    name = "default",
    data = {
        ThrustModifier = 400.0
    }
}

function starItem.sprite(room, entity)
    local sprite = {}

    local sprite1 = drawableSprite.fromTexture("StarItem/StarItem00", entity)

    sprite1:addPosition(0, -12)

    table.insert(sprite, sprite1)

    return sprite
end

return starItem